SQLite

Chris Angelico rosuav at gmail.com
Sun Feb 21 20:44:30 EST 2016


On Mon, Feb 22, 2016 at 8:37 AM, Albert-Jan Roskam
<sjeik_appie at hotmail.com> wrote:
> IIRC, you have to do
> sudo apt-get install build-essential python-dev
> ... then re-compile python

That may well work, but it's probably easier to work this way:

sudo apt-get build-dep python3

That should grab all the compilation dependencies of the python3
package, which on Wheezy is a 3.2 IIRC. The deps haven't changed since
then AFAIK.

When you build, you should get a summary at the end that tells you
about any modules that couldn't be built. The most common reason for
that is missing deps. If you still have any after running the above,
post here and we may be able to more directly advise.

ChrisA


More information about the Python-list mailing list